qualBoxplot {arrayQuality} | R Documentation

## Comparative boxplot for general hybridization Quality Control

### Description

This functions allows you to graphically compare your slide quality measures to results obtained for a database of 'good quality' slides.

### Usage

    qualBoxplot(arrayQuality = NULL, reference = NULL, organism = c("Mm", "Hs"), DEBUG=FALSE,...)

### Arguments

`arrayQuality` | Matrix of quality results from `slideQuality` or `globalQuality`.
`reference` | A matrix resulting from globalQuality, to be used as reference table to compare slides. If 'NULL', the default table corresponding to "organism" will be used. See details for more information.
`organism` | A "character" string naming the organism genome printed on the array, either "Mm" or "Hs". By default, organism is set to "Mm". It is used to retrieve the corresponding reference tables.
`DEBUG` | If 'TRUE', debug statements are printed.
`...` | additional arguments

### Details

You can use your own set of references created using `globalQuality` passed in the arguments "reference", or use the reference QC values stored in the datasets `MmReferenceDB`.

### Value

Returns a score vector containing, for each column in "arrayQuality", the number of quality measures below the range of "reference". The last element of the score vector is the total number of quality measures tested.

### Author(s)

Agnes Paquet

### See Also

`globalQuality`, `gpQuality`, `spotQuality`, `agQuality`

### Examples

    #datadir <- system.file("gprQCData", package="arrayQuality")
    #gprData <- readGPR(fnames="9Mm137.gpr", path=datadir)
    #arrayQuality <- slideQuality(gprData, organism="Mm")
    #qualBoxplot(arrayQuality)

[Package arrayQuality version 1.0.11 Index]